### Method

# Gtk TreeViewset_fixed_height_mode

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_view_set_fixed_height_mode (
      GtkTreeView* tree_view,
      gboolean enable
    )

#### Description [src]

Enables or disables the fixed height mode of `tree_view`. Fixed height mode speeds up `GtkTreeView` by assuming that all rows have the same height. Only enable this option if all rows are the same height and all columns are of type `GTK_TREE_VIEW_COLUMN_FIXED`.

Deprecated since: 4.10

Use `GtkListView` or `GtkColumnView` instead.

Sets property | `Gtk.TreeView:fixed-height-mode`

#### Parameters

`enable`

  Type: `gboolean`

  `TRUE` to enable fixed height mode.